function cooking_food_blogger_openNav() {
  jQuery(".sidenav").addClass('show');
}
function cooking_food_blogger_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function cooking_food_blogger_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const cooking_food_blogger_nav = document.querySelector( '.sidenav' );

      if ( ! cooking_food_blogger_nav || ! cooking_food_blogger_nav.classList.contains( 'show' ) ) {
        return;
      }

      const elements = [...cooking_food_blogger_nav.querySelectorAll( 'input, a, button' )],
        cooking_food_blogger_lastEl = elements[ elements.length - 1 ],
        cooking_food_blogger_firstEl = elements[0],
        cooking_food_blogger_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && cooking_food_blogger_lastEl === cooking_food_blogger_activeEl ) {
        e.preventDefault();
        cooking_food_blogger_firstEl.focus();
      }

      if ( shiftKey && tabKey && cooking_food_blogger_firstEl === cooking_food_blogger_activeEl ) {
        e.preventDefault();
        cooking_food_blogger_lastEl.focus();
      }
    } );
  }
  cooking_food_blogger_keepFocusInMenu();
} )( window, document );

var btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    btn.addClass('show');
  } else {
    btn.removeClass('show');
  }
});

btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

jQuery(document).ready(function() {
  var owl = jQuery('#top-slider .owl-carousel');
    owl.owlCarousel({
      margin: 0,
      nav: true,
      autoplay:true,
      autoplayTimeout:3000,
      autoplayHoverPause:true,
      // autoHeight: true,
      loop: true,
      dots:false,
      navText : ['<i class="fa fa-lg fa-chevron-left" aria-hidden="true"></i>','<i class="fa fa-lg fa-chevron-right" aria-hidden="true"></i>'],
      responsive: {
        0: {
          items: 1
        },
        600: {
          items: 1
        },
        1024: {
          items: 1
      }
    }
  })
})

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
  jQuery(".loading2").delay(2000).fadeOut("slow");
});

jQuery('.header-search-wrapper .search-main').click(function(){
    jQuery('.search-form-main').toggleClass('active-search');
    jQuery('.search-form-main .search-field').focus();
});